技能 API
列出技能
列出市场中的技能或已安装的技能。
GET
/
api
/
v1
/
skills
列出技能
curl --request GET \
--url https://api.example.com/api/v1/skillsimport requests
url = "https://api.example.com/api/v1/skills"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/skills",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/skills"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/skills")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/skills")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"skills": [
{}
]
}列出可用技能。可按已安装技能筛选,也可浏览完整的技能市场。
身份验证
需要 Bearer 令牌。参见身份验证。查询参数
string
筛选技能。可选值:
"installed"— 仅返回已通过身份验证的用户安装的技能"marketplace"— 所有公开的市场技能(省略该参数时的默认值)
请求示例
# 列出已安装的技能
curl "https://www.hitheo.ai/api/v1/skills?filter=installed" \
-H "Authorization: Bearer $THEO_API_KEY"
# 浏览技能市场
curl https://www.hitheo.ai/api/v1/skills \
-H "Authorization: Bearer $THEO_API_KEY"
// 已安装的技能
const installed = await theo.skills("installed");
// 技能市场
const marketplace = await theo.skills("marketplace");
响应
object[]
技能对象数组。每个对象包含
id、name、slug、description、category、version、installCount、isPublic 等字段。响应示例
{
"skills": [
{
"id": "skill_abc123",
"name": "Deep Research",
"slug": "deep-research",
"description": "Multi-step web research with citations and structured reports",
"category": "productivity",
"version": "1.2.0",
"installCount": 342,
"isPublic": true,
"authorUserId": "user_xyz"
}
]
}
此页面对您有帮助吗?
列出技能
curl --request GET \
--url https://api.example.com/api/v1/skillsimport requests
url = "https://api.example.com/api/v1/skills"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/skills",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/skills"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/skills")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/skills")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"skills": [
{}
]
}